
Smart Proxy - Refactor #24154

Refactor facts module to work with facter 3.x

07/04/2018 09:53 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We currently use facter 2 (from EPEL), switching to facter 3.x does not work as facter 3 uses own Ruby. We will perhaps need to

spawn new process.

https://github.com/theforeman/smart-proxy/blob/develop/modules/facts/facts_plugin.rb

Related issues:

Related to Discovery - Refactor #24153: Refactor fdi to work with facter 4.x Resolved

History

#1 - 07/04/2018 09:54 AM - Lukas Zapletal

- Related to Refactor #24153: Refactor fdi to work with facter 4.x added

#2 - 07/09/2018 11:39 AM - Ewoud Kohl van Wijngaarden

Facter 3 still provides ruby bindings but on RPM systems the Puppet AIO install has a Provides: facter. That facter installs Ruby bindings for the

bundled ruby version rather than the system ruby. When EPEL is not available but Puppet AIO is, then you don't get the ruby bindings for the system

ruby.

#3 - 07/25/2018 11:16 AM - Lukas Zapletal

Or as Ewoud said "we can also make facter from our repos to be based on system Ruby". That would do it as well.

#4 - 02/21/2023 11:07 AM - Ewoud Kohl van Wijngaarden

- Category changed from Puppet to Facts

- Status changed from New to Rejected

For what it's worth: Facter 4 is written in Ruby again, so this should no longer be an issue.
